Index: extensions/AMenuManager/admin/amm_linkslist.tpl
===================================================================
--- extensions/AMenuManager/admin/amm_linkslist.tpl	(revision 5429)
+++ extensions/AMenuManager/admin/amm_linkslist.tpl	(revision 5545)
@@ -31,7 +31,9 @@
     if(action_todo!='')
     {
-      http_request=create_httpobject('get', '', '{/literal}{$datas.AMM_AJAX_URL_LIST}{literal}'+action_todo, false);
-      http_request.send(null);
-      doc.innerHTML=http_request.responseText;
+      doc.innerHTML=$.ajax({
+        type: "POST",
+        url: "{/literal}{$datas.AMM_AJAX_URL_LIST}{literal}"+action_todo,
+        async: false,
+      }).responseText;
     }
   }
Index: extensions/AMenuManager/admin/amm_personalisedlist.tpl
===================================================================
--- extensions/AMenuManager/admin/amm_personalisedlist.tpl	(revision 5429)
+++ extensions/AMenuManager/admin/amm_personalisedlist.tpl	(revision 5545)
@@ -26,7 +26,9 @@
     if(action_todo!='')
     {
-      http_request=create_httpobject('get', '', '{/literal}{$datas.AMM_AJAX_URL_LIST}{literal}'+action_todo, false);
-      http_request.send(null);
-      doc.innerHTML=http_request.responseText;
+      doc.innerHTML=$.ajax({
+        type: "POST",
+        url: "{/literal}{$datas.AMM_AJAX_URL_LIST}{literal}"+action_todo,
+        async: false,
+      }).responseText;
     }
   }
Index: extensions/AMenuManager/admin/amm_randompicconfig.tpl
===================================================================
--- extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 5429)
+++ extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 5545)
@@ -7,5 +7,6 @@
     width:350px;
     height:10px;
-    border:1px solid;
+    border-width:1px;
+    border-style:solid;
     margin-right:5px;
     padding-right:14px;
@@ -16,5 +17,6 @@
     position:relative;
     top:-2px;
-    border:1px solid;
+    border-width:1px;
+    border-style:solid;
     display:block;
   }
@@ -50,4 +52,5 @@
         slide: function(event, ui) { formatDelay(ui.value); }
       });
+    $("#iamm_rp_pc_slider a").addClass('gcBgInput');
 
     formatHeight({/literal}{$datas.height}{literal});
@@ -60,4 +63,5 @@
         slide: function(event, ui) { formatHeight(ui.value); }
       });
+    $("#iamm_rp_height_slider a").addClass('gcBgInput');
   }
 
@@ -160,5 +164,5 @@
         <td>
           <input type="hidden" name="famm_randompicture_height" id="iamm_randompicture_height" value="{$datas.height}">
-          <div id="iamm_rp_height_slider"></div>
+          <div id="iamm_rp_height_slider" class="gcBgInput gcBorderInput"></div>
         </td>
         <td width="90px">
@@ -204,5 +208,5 @@
           <td>
             <input type="hidden" name="famm_randompicture_periodicchange" id="iamm_randompicture_periodicchange" value="{$datas.periodic_change}">
-            <div id="iamm_rp_pc_slider"></div>
+            <div id="iamm_rp_pc_slider" class="gcBgInput gcBorderInput"></div>
           </td>
           <td width="70px">
Index: extensions/AMenuManager/admin/plugin_admin.php
===================================================================
--- extensions/AMenuManager/admin/plugin_admin.php	(revision 5429)
+++ extensions/AMenuManager/admin/plugin_admin.php	(revision 5545)
@@ -23,5 +23,5 @@
 $main_plugin_object = get_plugin_data($plugin_id);
 
-$plugin_ai = new AMM_AIP($prefixeTable, $main_plugin_object->get_filelocation());
+$plugin_ai = new AMM_AIP($prefixeTable, $main_plugin_object->getFileLocation());
 $plugin_ai->manage();
 
Index: extensions/AMenuManager/amm_aim.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_aim.class.inc.php	(revision 5429)
+++ extensions/AMenuManager/amm_aim.class.inc.php	(revision 5545)
@@ -20,5 +20,5 @@
 
 class AMM_AIM extends AMM_root
-{ 
+{
   function AMM_AIM($prefixeTable, $filelocation)
   {
@@ -29,8 +29,8 @@
     initialize events call for the plugin
   */
-  function init_events()
+  function initEvents()
   {
-    parent::init_events();
-    add_event_handler('get_admin_plugin_menu_links', array(&$this, 'plugin_admin_menu') );
+    parent::initEvents();
+    add_event_handler('get_admin_plugin_menu_links', array(&$this, 'pluginAdminMenu') );
   }
 
Index: extensions/AMenuManager/amm_aip.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_aip.class.inc.php	(revision 5429)
+++ extensions/AMenuManager/amm_aip.class.inc.php	(revision 5545)
@@ -19,7 +19,7 @@
 include_once(PHPWG_ROOT_PATH.'include/block.class.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/ajax.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/genericjs.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/translate.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCAjax.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/genericjs.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTranslate.class.inc.php');
 
 class AMM_AIP extends AMM_root
@@ -27,5 +27,4 @@
   protected $google_translate;
   protected $tabsheet;
-  protected $ajax;
   protected $sectionsId=array('menu' => 'Menu', 'special' => 'Specials');
 
@@ -36,23 +35,22 @@
     parent::__construct($prefixeTable, $filelocation);
 
-    $this->load_config();
-    $this->init_events();
+    $this->loadConfig();
+    $this->initEvents();
 
     $this->tabsheet = new tabsheet();
     $this->tabsheet->add('setmenu',
                           l10n('g002_setmenu'),
-                          $this->page_link.'&amp;fAMM_tabsheet=setmenu');
+                          $this->getAdminLink().'&amp;fAMM_tabsheet=setmenu');
     $this->tabsheet->add('links',
                           l10n('g002_addlinks'),
-                          $this->page_link.'&amp;fAMM_tabsheet=links');
+                          $this->getAdminLink().'&amp;fAMM_tabsheet=links');
     $this->tabsheet->add('randompict',
                           l10n('g002_randompict'),
-                          $this->page_link.'&amp;fAMM_tabsheet=randompict');
+                          $this->getAdminLink().'&amp;fAMM_tabsheet=randompict');
     $this->tabsheet->add('personnalblock',
                           l10n('g002_personnalblock'),
-                          $this->page_link.'&amp;fAMM_tabsheet=personnalblock');
-    $this->css = new css(dirname($this->filelocation).'/'.$this->plugin_name_files.".css");
-    $this->ajax = new Ajax();
-    $this->google_translate = new translate();
+                          $this->getAdminLink().'&amp;fAMM_tabsheet=personnalblock');
+    $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().".css");
+    $this->google_translate = new GPCTranslate();
   }
 
@@ -80,5 +78,5 @@
     $template->assign($this->tabsheet->get_titlename(), "[".$selected_tab['caption']."]");
 
-    $template_plugin["AMM_VERSION"] = "<i>".$this->plugin_name."</i> ".l10n('g002_version').AMM_VERSION;
+    $template_plugin["AMM_VERSION"] = "<i>".$this->getPluginName()."</i> ".l10n('g002_version').AMM_VERSION;
     $template_plugin["AMM_PAGE"] = $_REQUEST['fAMM_tabsheet'];
     $template_plugin["PATH"] = AMM_PATH;
@@ -189,7 +187,7 @@
     initialize events call for the plugin
   */
-  public function init_events()
-  {
-    add_event_handler('loc_end_page_header', array(&$this->css, 'apply_CSS'));
+  public function initEvents()
+  {
+    add_event_handler('loc_end_page_header', array(&$this->css, 'applyCSS'));
   }
 
@@ -244,6 +242,6 @@
           break;
       }
-      //$template->
-      $this->ajax->return_result($result);
+
+      GPCAjax::returnResult($result);
     }
   }
@@ -282,5 +280,5 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_linkslist.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_linkslist.tpl');
 
     $tmp=$this->get_count_url();
@@ -300,7 +298,7 @@
 
     $template_datas=array(
-      'lnk_create' => $this->page_link.'&amp;fAMM_tabsheet=links&amp;action=create',
-      'lnk_config' => $this->page_link.'&amp;fAMM_tabsheet=links&amp;action=config',
-      'AMM_AJAX_URL_LIST' => $this->page_link."&ajaxfct=",
+      'lnk_create' => $this->getAdminLink().'&amp;fAMM_tabsheet=links&amp;action=create',
+      'lnk_config' => $this->getAdminLink().'&amp;fAMM_tabsheet=links&amp;action=config',
+      'AMM_AJAX_URL_LIST' => $this->getAdminLink()."&ajaxfct=",
       'nburl' => $tmp
     );
@@ -317,10 +315,10 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_linksconfig.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_linksconfig.tpl');
 
     $template_datas=array(
-      'lnk_list' => $this->page_link.'&amp;fAMM_tabsheet=links',
-      'AMM_AJAX_URL_LIST' => $this->page_link."&ajaxfct=",
-      'show_icons_selected' => $this->my_config['amm_links_show_icons'],
+      'lnk_list' => $this->getAdminLink().'&amp;fAMM_tabsheet=links',
+      'AMM_AJAX_URL_LIST' => $this->getAdminLink()."&ajaxfct=",
+      'show_icons_selected' => $this->config['amm_links_show_icons'],
       'lang_selected' => $user['language'],
       'fromlang' => substr($user['language'],0,2)
@@ -328,5 +326,5 @@
 
     $template_datas['language_list'] = array();
-    foreach($this->my_config['amm_links_title'] as $key => $val)
+    foreach($this->config['amm_links_title'] as $key => $val)
     {
       $template_datas['language_list'][] = array(
@@ -362,9 +360,9 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_linkslist_edit.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_linkslist_edit.tpl');
 
     $extensions_list=array('jpg'=>0,'jpeg'=>0,'gif'=>0,'png'=>0);
     $template_icons_list=array();
-    $directory=dir(dirname($this->filelocation).'/links_pictures/');
+    $directory=dir(dirname($this->getFileLocation()).'/links_pictures/');
     while($file=$directory->read())
     {
@@ -403,5 +401,5 @@
     }
 
-    $template_datas['lnk_list'] = $this->page_link.'&amp;fAMM_tabsheet=links';
+    $template_datas['lnk_list'] = $this->getAdminLink().'&amp;fAMM_tabsheet=links';
     $template_datas['icons_img'] = AMM_PATH."links_pictures/".$template_datas['icons_selected'];
     $template_datas['icons_values'] = array();
@@ -455,11 +453,11 @@
   protected function action_links_modify_config()
   {
-    $this->my_config['amm_links_show_icons']=$_POST['famm_links_show_icons'];
+    $this->config['amm_links_show_icons']=$_POST['famm_links_show_icons'];
     $languages=get_languages();
     foreach($languages as $key => $val)
     {
-      $this->my_config['amm_links_title'][$key]=base64_encode($_POST['famm_links_title_'.$key]);
-    }
-    $this->save_config();
+      $this->config['amm_links_title'][$key]=base64_encode($_POST['famm_links_title_'.$key]);
+    }
+    $this->saveConfig();
   }
 
@@ -469,14 +467,14 @@
   protected function action_randompic_modify_config()
   {
-    $this->my_config['amm_randompicture_height']=$_POST['famm_randompicture_height'];
-    $this->my_config['amm_randompicture_periodicchange']=$_POST['famm_randompicture_periodicchange'];
-    $this->my_config['amm_randompicture_showname']=$_POST['famm_randompicture_showname'];
-    $this->my_config['amm_randompicture_showcomment']=$_POST['famm_randompicture_showcomment'];
+    $this->config['amm_randompicture_height']=$_POST['famm_randompicture_height'];
+    $this->config['amm_randompicture_periodicchange']=$_POST['famm_randompicture_periodicchange'];
+    $this->config['amm_randompicture_showname']=$_POST['famm_randompicture_showname'];
+    $this->config['amm_randompicture_showcomment']=$_POST['famm_randompicture_showcomment'];
     $languages=get_languages();
     foreach($languages as $key => $val)
     {
-      $this->my_config['amm_randompicture_title'][$key]=base64_encode(stripslashes($_POST['famm_randompicture_title_'.$key]));
-    }
-    $this->save_config();
+      $this->config['amm_randompicture_title'][$key]=base64_encode(stripslashes($_POST['famm_randompicture_title_'.$key]));
+    }
+    $this->saveConfig();
   }
 
@@ -489,5 +487,5 @@
   {
     global $template, $user, $page;
-    $template->set_filename('body_page', dirname($this->filelocation).'/admin/amm_sections.tpl');
+    $template->set_filename('body_page', dirname($this->getFileLocation()).'/admin/amm_sections.tpl');
 
     if(isset($_POST['fList']) && !$this->adviser_abort())
@@ -503,10 +501,10 @@
         $properties=explode("#", $items[$i]);
         $properties[0]=explode(",", $properties[0]);
-        $this->my_config['amm_sections_items'][$properties[0][0]]['container']=$properties[0][1];
-        $this->my_config['amm_sections_items'][$properties[0][0]]['order']=$properties[0][2];
-        $this->my_config['amm_sections_items'][$properties[0][0]]['visibility']=$properties[1];
+        $this->config['amm_sections_items'][$properties[0][0]]['container']=$properties[0][1];
+        $this->config['amm_sections_items'][$properties[0][0]]['order']=$properties[0][2];
+        $this->config['amm_sections_items'][$properties[0][0]]['visibility']=$properties[1];
       }
       $this->sortSectionsItems();
-      if($this->save_config())
+      if($this->saveConfig())
       {
         array_push($page['infos'], l10n('g002_config_saved'));
@@ -518,7 +516,7 @@
     }
 
-    foreach($this->my_config['amm_sections_items'] as $key=>$val)
-    {
-      $this->my_config['amm_sections_items'][$key]['visibilityForm'] = $this->makeVisibility($val['visibility'], $key);
+    foreach($this->config['amm_sections_items'] as $key=>$val)
+    {
+      $this->config['amm_sections_items'][$key]['visibilityForm'] = $this->makeVisibility($val['visibility'], $key);
       $this->defaultMenus[$key]['visibilityForm'] = $this->makeVisibility("guest,generic,normal,webmaster,admin/", $key);
     }
@@ -526,6 +524,6 @@
     $this->sortSectionsItems();
 
-    $users=new users("");
-    $groups=new groups("");
+    $users=new GPCUsers("");
+    $groups=new GPCGroups("");
 
 
@@ -533,5 +531,5 @@
     $template->assign("sections", $this->sectionsId);
     $template->assign("defaultValues", $this->defaultMenus);
-    $template->assign("items", $this->my_config['amm_sections_items']);
+    $template->assign("items", $this->config['amm_sections_items']);
     $template->assign_var_from_handle('AMM_BODY_PAGE', 'body_page');
   }
@@ -545,12 +543,12 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_randompicconfig.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_randompicconfig.tpl');
 
     $template_datas=array(
-      'lnk_list' => $this->page_link.'&amp;fAMM_tabsheet=links',
-      'showname_selected' => $this->my_config['amm_randompicture_showname'],
-      'showcomment_selected' => $this->my_config['amm_randompicture_showcomment'],
-      'periodic_change' => $this->my_config['amm_randompicture_periodicchange'],
-      'height' => $this->my_config['amm_randompicture_height'],
+      'lnk_list' => $this->getAdminLink().'&amp;fAMM_tabsheet=links',
+      'showname_selected' => $this->config['amm_randompicture_showname'],
+      'showcomment_selected' => $this->config['amm_randompicture_showcomment'],
+      'periodic_change' => $this->config['amm_randompicture_periodicchange'],
+      'height' => $this->config['amm_randompicture_height'],
       'lang_selected' => $user['language'],
       'fromlang' => substr($user['language'],0,2)
@@ -558,5 +556,5 @@
 
     $template_datas['language_list'] = array();
-    foreach($this->my_config['amm_randompicture_title'] as $key => $val)
+    foreach($this->config['amm_randompicture_title'] as $key => $val)
     {
       $template_datas['language_list'][] = array(
@@ -603,5 +601,5 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_personalisedlist.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_personalisedlist.tpl');
 
     $sql="SELECT COUNT(DISTINCT ID) as countid FROM ".$this->tables['personalised'];
@@ -632,6 +630,6 @@
 
     $template_datas=array(
-      'lnk_create' => $this->page_link.'&amp;fAMM_tabsheet=personnalblock&amp;action=create',
-      'AMM_AJAX_URL_LIST' => $this->page_link."&ajaxfct=",
+      'lnk_create' => $this->getAdminLink().'&amp;fAMM_tabsheet=personnalblock&amp;action=create',
+      'AMM_AJAX_URL_LIST' => $this->getAdminLink()."&ajaxfct=",
       'nbsections' => $tmp
     );
@@ -650,5 +648,5 @@
     global $template, $user;
     $template->set_filename('body_page',
-                            dirname($this->filelocation).'/admin/amm_personalisedlist_edit.tpl');
+                            dirname($this->getFileLocation()).'/admin/amm_personalisedlist_edit.tpl');
 
     $template_datas=array();
@@ -697,5 +695,5 @@
     $template_datas['lang_selected'] = $user['language'];
 
-    $template_datas['personalised_list'] = $this->page_link.'&amp;fAMM_tabsheet=personnalblock';
+    $template_datas['personalised_list'] = $this->getAdminLink().'&amp;fAMM_tabsheet=personnalblock';
     $template_datas['yesno_values'] = array('y','n');
     $template_datas['yesno_labels'][] = l10n('g002_yesno_y');
@@ -754,12 +752,12 @@
     $local_tpl = new Template(AMM_PATH."admin/", "");
     $local_tpl->set_filename('body_page',
-                  dirname($this->filelocation).'/admin/amm_sections_visibility.tpl');
+                  dirname($this->getFileLocation()).'/admin/amm_sections_visibility.tpl');
 
 
     $parameters=explode("/", $visibility);
 
-    $users=new users(str_replace(",", "/", $parameters[0]));
-    $users->set_allowed('admin', true);
-    $groups=new groups(str_replace(",", "/", $parameters[1]));
+    $users=new GPCUsers(str_replace(",", "/", $parameters[0]));
+    $users->setAllowed('admin', true);
+    $groups=new GPCGroups(str_replace(",", "/", $parameters[1]));
 
     $local_tpl->assign('name', $id);
@@ -780,5 +778,5 @@
     if(is_adviser())
     {
-      $this->display_result(l10n("g002_adviser_not_allowed"), false);
+      $this->displayResult(l10n("g002_adviser_not_allowed"), false);
       return(true);
     }
@@ -940,5 +938,5 @@
     $local_tpl = new Template(AMM_PATH."admin/", "");
     $local_tpl->set_filename('body_page',
-                  dirname($this->filelocation).'/admin/amm_linkslist_detail.tpl');
+                  dirname($this->getFileLocation()).'/admin/amm_linkslist_detail.tpl');
 
     $template_datas['urls']=array();
@@ -953,5 +951,5 @@
         'up' =>  ($i==0)?false:true,
         'down' =>  ($i<(count($urls)-1))?true:false,
-        'edit' => $this->page_link.'&amp;fAMM_tabsheet=links&amp;action=modify&amp;fItem='.$urls[$i]['id'],
+        'edit' => $this->getAdminLink().'&amp;fAMM_tabsheet=links&amp;action=modify&amp;fItem='.$urls[$i]['id'],
         'ID' => $urls[$i]['id'],
         'IDPREV' => ($i==0)?0:$urls[$i-1]['id'],
@@ -999,5 +997,5 @@
     $local_tpl = new Template(AMM_PATH."admin/", "");
     $local_tpl->set_filename('body_page',
-                  dirname($this->filelocation).'/admin/amm_personalisedlist_detail.tpl');
+                  dirname($this->getFileLocation()).'/admin/amm_personalisedlist_detail.tpl');
 
     $template_datas['sections']=array();
@@ -1011,5 +1009,5 @@
         $template_datas['sections'][]=array(
           'title' => ($val['title']!='')?$val['title']:l10n('g002_notitle'),
-          'edit' => $this->page_link.'&amp;fAMM_tabsheet=personnalblock&amp;action=modify&amp;fItem='.$val['id'],
+          'edit' => $this->getAdminLink().'&amp;fAMM_tabsheet=personnalblock&amp;action=modify&amp;fItem='.$val['id'],
           'ID' => $val['id'],
           'visible' => l10n('g002_yesno_'.$val['visible']),
Index: extensions/AMenuManager/amm_install.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_install.class.inc.php	(revision 5429)
+++ extensions/AMenuManager/amm_install.class.inc.php	(revision 5545)
@@ -16,10 +16,10 @@
   include_once('amm_version.inc.php');
   include_once('amm_root.class.inc.php');
-  include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/tables.class.inc.php');
+  include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTables.class.inc.php');
 
 
   class AMM_install extends AMM_root
   {
-    private $tablef;
+    private $tablesManager;
     private $exportfile;
 
@@ -27,6 +27,6 @@
     {
       parent::__construct($prefixeTable, $filelocation);
-      $this->tablef= new manage_tables($this->tables);
-      $this->exportfile=dirname($this->filelocation).'/'.$this->plugin_name_files.'.sql';
+      $this->tablesManager= new GPCTables($this->tables);
+      $this->exportfile=dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().'.sql';
     }
 
@@ -37,8 +37,8 @@
     public function install()
     {
-      $this->init_config();
-      $this->load_config();
-      $this->my_config['installed']=AMM_VERSION2;
-      $this->save_config();
+      $this->initConfig();
+      $this->loadConfig();
+      $this->config['installed']=AMM_VERSION2;
+      $this->saveConfig();
 
       $tables_def=array(
@@ -67,5 +67,5 @@
       //$table_def array
       $tables_def = create_table_add_character_set($tables_def);
-      $result=$this->tablef->create_tables($tables_def);
+      $result=$this->tablesManager->create($tables_def);
       return($result);
     }
@@ -77,7 +77,7 @@
     public function uninstall()
     {
-      $this->tablef->export($this->exportfile);
-      $this->delete_config();
-      $this->tablef->drop_tables();
+      $this->tablesManager->export($this->exportfile);
+      $this->deleteConfig();
+      $this->tablesManager->drop();
     }
 
@@ -86,11 +86,11 @@
       global $template;
 
-      $this->init_config();
-      $this->load_config();
+      $this->initConfig();
+      $this->loadConfig();
 
       $this->udpateTablesDef();
 
-      $this->my_config['installed']=AMM_VERSION2; //update the installed release number
-      $this->save_config();
+      $this->config['installed']=AMM_VERSION2; //update the installed release number
+      $this->saveConfig();
     }
 
@@ -113,23 +113,23 @@
        * This function aim to import the old conf into the new conf property
       */
-      if(isset($this->my_config['amm_sections_modspecials']))
+      if(isset($this->config['amm_sections_modspecials']))
       {
-        foreach($this->my_config['amm_sections_modspecials'] as $key=>$val)
+        foreach($this->config['amm_sections_modspecials'] as $key=>$val)
         {
-          $this->my_config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
+          $this->config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
         }
-        unset($this->my_config['amm_sections_modspecials']);
+        unset($this->config['amm_sections_modspecials']);
       }
 
-      if(isset($this->my_config['amm_sections_modmenu']))
+      if(isset($this->config['amm_sections_modmenu']))
       {
-        foreach($this->my_config['amm_sections_modmenu'] as $key=>$val)
+        foreach($this->config['amm_sections_modmenu'] as $key=>$val)
         {
-          $this->my_config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
+          $this->config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
         }
-        unset($this->my_config['amm_sections_modmenu']);
+        unset($this->config['amm_sections_modmenu']);
       }
 
-      if(!array_key_exists('installed', $this->my_config))
+      if(!array_key_exists('installed', $this->config))
       {
         /*
@@ -137,8 +137,8 @@
          * 2.2.0 release
          */
-        $this->my_config['installed']="02.01.06";
+        $this->config['installed']="02.01.06";
       }
 
-      if($this->my_config['installed']<="02.01.06")
+      if($this->config['installed']<="02.01.06")
       {
         /*
@@ -153,7 +153,7 @@
         pwg_query($sql);
 
-        foreach($this->my_config['amm_sections_items'] as $key => $val)
+        foreach($this->config['amm_sections_items'] as $key => $val)
         {
-          $this->my_config['amm_sections_items'][$key]['translation'] = $this->defaultMenus[$key]['translation'];
+          $this->config['amm_sections_items'][$key]['translation'] = $this->defaultMenus[$key]['translation'];
         }
       }
Index: extensions/AMenuManager/amm_pip.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_pip.class.inc.php	(revision 5429)
+++ extensions/AMenuManager/amm_pip.class.inc.php	(revision 5545)
@@ -17,9 +17,8 @@
 
 include_once(PHPWG_PLUGINS_PATH.'AMenuManager/amm_root.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/ajax.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCAjax.class.inc.php');
 
 class AMM_PIP extends AMM_root
 {
-  protected $ajax;
   protected $displayRandomImageBlock=true;
 
@@ -27,9 +26,8 @@
   {
     parent::__construct($prefixeTable, $filelocation);
-    $this->ajax = new Ajax();
-    $this->css = new css(dirname($this->filelocation).'/'.$this->plugin_name_files."2.css");
-
-    $this->load_config();
-    $this->init_events();
+    $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles()."2.css");
+
+    $this->loadConfig();
+    $this->initEvents();
   }
 
@@ -43,11 +41,11 @@
     initialize events call for the plugin
   */
-  public function init_events()
+  public function initEvents()
   {
     //TODELETE: add_event_handler('loc_begin_menubar', array(&$this, 'modify_menu') );
-    parent::init_events();
+    parent::initEvents();
     add_event_handler('loading_lang', array(&$this, 'load_lang'));
     add_event_handler('blockmanager_apply', array(&$this, 'blockmanager_apply') );
-    add_event_handler('loc_end_page_header', array(&$this->css, 'apply_CSS'));
+    add_event_handler('loc_end_page_header', array(&$this->css, 'applyCSS'));
     add_event_handler('loc_end_page_tail', array(&$this, 'applyJS'));
   }
@@ -78,8 +76,8 @@
     if ( ( ($block = $menu->get_block( 'mbAMM_randompict' ) ) != null ) && ($user['nb_total_images'] > 0) )
     {
-      $block->set_title(  base64_decode($this->my_config['amm_randompicture_title'][$user['language']]) );
+      $block->set_title(  base64_decode($this->config['amm_randompicture_title'][$user['language']]) );
       $block->data = array(
-        "delay" => $this->my_config['amm_randompicture_periodicchange'],
-        "blockHeight" => $this->my_config['amm_randompicture_height'],
+        "delay" => $this->config['amm_randompicture_periodicchange'],
+        "blockHeight" => $this->config['amm_randompicture_height'],
         "firstPicture" => $this->ajax_amm_get_random_picture()
       );
@@ -99,5 +97,5 @@
       if ( count($urls)>0 )
       {
-        if($this->my_config['amm_links_show_icons']=='y')
+        if($this->config['amm_links_show_icons']=='y')
         {
           for($i=0;$i<count($urls);$i++)
@@ -107,10 +105,10 @@
         }
 
-        $block->set_title( base64_decode($this->my_config['amm_links_title'][$user['language']]) );
+        $block->set_title( base64_decode($this->config['amm_links_title'][$user['language']]) );
         $block->template = dirname(__FILE__).'/menu_templates/menubar_links.tpl';
 
         $block->data = array(
           'LINKS' => $urls,
-          'icons' => $this->my_config['amm_links_show_icons']
+          'icons' => $this->config['amm_links_show_icons']
         );
       }
@@ -178,22 +176,22 @@
     $blocks['special']->data=Array();
 
-    $users=new users("");
-    $groups=new groups("");
+    $users=new GPCUsers("");
+    $groups=new GPCGroups("");
     $user_groups=$this->get_user_groups($user['id']);
 
-    foreach($this->my_config['amm_sections_items'] as $key => $val)
+    foreach($this->config['amm_sections_items'] as $key => $val)
     {
       if(isset($menuItems[$key]))
       {
         $access=explode("/",$val['visibility']);
-        $users->set_alloweds(str_replace(",", "/", $access[0]));
-        $groups->set_alloweds(str_replace(",", "/", $access[1]));
+        $users->setAlloweds(str_replace(",", "/", $access[0]));
+        $groups->setAlloweds(str_replace(",", "/", $access[1]));
 
         /* test if user status is allowed to access the menu item
          * if access is managed by group, the user have to be associated with an allowed group to access the menu item
         */
-        if($users->is_allowed($user['status']) && (
+        if($users->isAllowed($user['status']) && (
             ($access[1]=='') ||
-            (($access[1]!='') && $groups->are_allowed($user_groups)))
+            (($access[1]!='') && $groups->areAllowed($user_groups)))
         )
         {
@@ -241,5 +239,5 @@
             break;
         }
-        $this->ajax->return_result($result);
+        GPCAjax::returnResult($result);
       }
     }
@@ -254,5 +252,5 @@
     $local_tpl = new Template(AMM_PATH."menu_templates/", "");
     $local_tpl->set_filename('body_page',
-                  dirname($this->filelocation).'/menu_templates/menubar_randompic_inner.tpl');
+                  dirname($this->getFileLocation()).'/menu_templates/menubar_randompic_inner.tpl');
 
       $sql="SELECT i.id as image_id, i.file as image_file, i.comment, i.path, i.tn_ext, c.id as catid, c.name, c.permalink, RAND() as rndvalue, i.name as imgname
@@ -285,6 +283,6 @@
           'IMGNAME' => $nfo['imgname'],
           'IMGCOMMENT' => $nfo['comment'],
-          'SHOWNAME' => $this->my_config['amm_randompicture_showname'],
-          'SHOWCOMMENT' => $this->my_config['amm_randompicture_showcomment']
+          'SHOWNAME' => $this->config['amm_randompicture_showname'],
+          'SHOWCOMMENT' => $this->config['amm_randompicture_showcomment']
         );
       }
@@ -320,9 +318,9 @@
     {
       $local_tpl = new Template(AMM_PATH."admin/", "");
-      $local_tpl->set_filename('body_page', dirname($this->filelocation).'/menu_templates/menubar_randompic.js.tpl');
+      $local_tpl->set_filename('body_page', dirname($this->getFileLocation()).'/menu_templates/menubar_randompic.js.tpl');
 
       $data = array(
-        "delay" => $this->my_config['amm_randompicture_periodicchange'],
-        "blockHeight" => $this->my_config['amm_randompicture_height'],
+        "delay" => $this->config['amm_randompicture_periodicchange'],
+        "blockHeight" => $this->config['amm_randompicture_height'],
         "firstPicture" => $this->ajax_amm_get_random_picture()
       );
Index: extensions/AMenuManager/amm_root.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_root.class.inc.php	(revision 5429)
+++ extensions/AMenuManager/amm_root.class.inc.php	(revision 5545)
@@ -17,10 +17,10 @@
 if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
 
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/common_plugin.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/users_groups.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/css.class.inc.php');
-
-
-class AMM_root extends common_plugin
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCUsersGroups.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCCss.class.inc.php');
+
+
+class AMM_root extends CommonPlugin
 {
   protected $css;   //the css object
@@ -41,12 +41,19 @@
   );
 
-  function AMM_root($prefixeTable, $filelocation)
-  {
-    $this->plugin_name="Advanced Menu Manager";
-    $this->plugin_name_files="amm";
+  public function __construct($prefixeTable, $filelocation)
+  {
+    $this->setPluginName("Advanced Menu Manager");
+    $this->setPluginNameFiles("amm");
     parent::__construct($prefixeTable, $filelocation);
 
     $list=array('urls', 'personalised');
-    $this->set_tables_list($list);
+    $this->setTablesList($list);
+  }
+
+  public function __destruct()
+  {
+    unset($this->css);
+    unset($this->defaultMenus);
+    parent::__destruct();
   }
 
@@ -56,7 +63,7 @@
 
   /* this function initialize var $my_config with default values */
-  public function init_config()
-  {
-    $this->my_config=array(
+  public function initConfig()
+  {
+    $this->config=array(
       'amm_links_show_icons' => 'y',
       'amm_links_title' => array(),
@@ -74,21 +81,21 @@
       if($key=='fr_FR')
       {
-        $this->my_config['amm_links_title'][$key]=base64_encode('Liens');
-        $this->my_config['amm_randompicture_title'][$key]=base64_encode('Une image au hasard');
+        $this->config['amm_links_title'][$key]=base64_encode('Liens');
+        $this->config['amm_randompicture_title'][$key]=base64_encode('Une image au hasard');
       }
       else
       {
-        $this->my_config['amm_links_title'][$key]=base64_encode('Links');
-        $this->my_config['amm_randompicture_title'][$key]=base64_encode('A random picture');
-      }
-    }
-  }
-
-  public function load_config()
-  {
-    parent::load_config();
-  }
-
-  public function init_events()
+        $this->config['amm_links_title'][$key]=base64_encode('Links');
+        $this->config['amm_randompicture_title'][$key]=base64_encode('A random picture');
+      }
+    }
+  }
+
+  public function loadConfig()
+  {
+    parent::loadConfig();
+  }
+
+  public function initEvents()
   {
     add_event_handler('blockmanager_register_blocks', array(&$this, 'register_blocks') );
@@ -204,5 +211,5 @@
   protected function sortSectionsItems()
   {
-    uasort($this->my_config['amm_sections_items'], array($this, "sortSectionsItemsCompare"));
+    uasort($this->config['amm_sections_items'], array($this, "sortSectionsItemsCompare"));
   }
 
Index: extensions/AMenuManager/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 5429)
+++ extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 5545)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Grum Plugin Classes is not installed'] = 'Le plugin <b>Grum Plugin Classes</b> n\'est pas installé';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Pour installer ce plugin, vous devez au préalable, installer le plugin Grum Plugin Classes %s';
 
 $lang['g002_title_page'] = 'Gestion avancée du menu';
Index: extensions/AMenuManager/main.inc.php
===================================================================
--- extensions/AMenuManager/main.inc.php	(revision 5429)
+++ extensions/AMenuManager/main.inc.php	(revision 5545)
@@ -127,5 +127,5 @@
   include_once("amm_aim.class.inc.php");
   $obj = new AMM_AIM($prefixeTable, __FILE__);
-  $obj->init_events();
+  $obj->initEvents();
   set_plugin_data($plugin['id'], $obj);
 }
Index: extensions/AMenuManager/maintain.inc.php
===================================================================
--- extensions/AMenuManager/maintain.inc.php	(revision 5429)
+++ extensions/AMenuManager/maintain.inc.php	(revision 5545)
@@ -8,8 +8,11 @@
 defined('AMM_DIR') || define('AMM_DIR' , basename(dirname(__FILE__)));
 defined('AMM_PATH') || define('AMM_PATH' , PHPWG_PLUGINS_PATH . AMM_DIR . '/');
-@include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/tables.class.inc.php');
+
+include_once('amm_version.inc.php'); // => Don't forget to update this file !!
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCCore.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTables.class.inc.php');
 
 
-global $gpc_installed, $lang; //needed for plugin manager compatibility
+global $gpc_installed, $gpcNeeded, $lang; //needed for plugin manager compatibility
 
 /* -----------------------------------------------------------------------------
@@ -17,10 +20,10 @@
 ----------------------------------------------------------------------------- */
 $gpc_installed=false;
-if(file_exists(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/common_plugin.class.inc.php'))
+$gpcNeeded="3.0.0";
+if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
 {
-  @include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/main.inc.php');
-  // need GPC release greater or equal than 2.0.5
-
-  if(checkGPCRelease(2,0,5))
+  @include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
+  // need GPC release greater or equal than 3.0.0
+  if(CommonPlugin::checkGPCRelease(3,0,0))
   {
     @include_once("amm_install.class.inc.php");
@@ -31,5 +34,14 @@
 function gpcMsgError(&$errors)
 {
-  array_push($errors, sprintf(l10n('Grum Plugin Classes is not installed (release >= %s)'), "2.0.5"));
+  global $gpcNeeded;
+  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), $gpcNeeded);
+  if(is_array($errors))
+  {
+    array_push($errors, $msg);
+  }
+  else
+  {
+    $errors=Array($msg);
+  }
 }
 // -----------------------------------------------------------------------------
@@ -41,5 +53,5 @@
 function plugin_install($plugin_id, $plugin_version, &$errors)
 {
-  global $prefixeTable, $gpc_installed;
+  global $prefixeTable, $gpc_installed, $gpcNeeded;
   if($gpc_installed)
   {
@@ -48,4 +60,5 @@
     $amm=new AMM_install($prefixeTable, __FILE__);
     $result=$amm->install();
+    GPCCore::register($amm->getPluginName(), AMM_VERSION, $gpcNeeded);
   }
   else
@@ -69,9 +82,10 @@
 function plugin_uninstall($plugin_id)
 {
-  global $prefixeTable;
+  global $prefixeTable, $gpc_installed;
   if($gpc_installed)
   {
     $amm=new AMM_install($prefixeTable, __FILE__);
     $result=$amm->uninstall();
+    GPCCore::unregister($amm->getPluginName());
   }
   else
Index: extensions/AMenuManager/menu_templates/menubar_randompic.tpl
===================================================================
--- extensions/AMenuManager/menu_templates/menubar_randompic.tpl	(revision 5429)
+++ extensions/AMenuManager/menu_templates/menubar_randompic.tpl	(revision 5545)
@@ -1,3 +1,3 @@
-{known_script id="jquery" src=$ROOT_URL|cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
 
 <!-- random picture menu bar -->
